# PLDAPSession::StringModAttrib Class Reference

`#include <pldap.h>`

Inheritance diagram for PLDAPSession::StringModAttrib:

List of all members.

## Public Member Functions

| StringModAttrib (const PString &name, Operation op=NumOperations)
| StringModAttrib (const PString &name, const PString &value, Operation op=NumOperations)
| StringModAttrib (const PString &name, const PStringList &values, Operation op=NumOperations)
void | SetValue (const PString &value)
void | AddValue (const PString &value)

## Protected Member Functions

virtual PBoolean | IsBinary () const
virtual void | SetLDAPModVars (struct ldapmod &mod)

## Protected Attributes

PStringArray | values
PBaseArray< char * > | pointers

## Constructor & Destructor Documentation

PLDAPSession::StringModAttrib::StringModAttrib | ( | const PString & | name,
|  | Operation | op = `NumOperations` |
| ) |  |  |

PLDAPSession::StringModAttrib::StringModAttrib | ( | const PString & | name,
|  | const PString & | value,
|  | Operation | op = `NumOperations` |
| ) |  |  |

PLDAPSession::StringModAttrib::StringModAttrib | ( | const PString & | name,
|  | const PStringList & | values,
|  | Operation | op = `NumOperations` |
| ) |  |  |

## Member Function Documentation

void PLDAPSession::StringModAttrib::AddValue | ( | const PString & | value | ) |

virtual PBoolean PLDAPSession::StringModAttrib::IsBinary | ( |  | ) | const`[protected, virtual]`

Implements PLDAPSession::ModAttrib.

virtual void PLDAPSession::StringModAttrib::SetLDAPModVars | ( | struct ldapmod & | mod | ) | `[protected, virtual]`

Implements PLDAPSession::ModAttrib.

void PLDAPSession::StringModAttrib::SetValue | ( | const PString & | value | ) |

## Member Data Documentation

PBaseArray<char *> PLDAPSession::StringModAttrib::pointers `[protected]`

PStringArray PLDAPSession::StringModAttrib::values `[protected]`

The documentation for this class was generated from the following file:

- pldap.h